Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class LegacyBloomFilterSerializer

    java.lang.Object
      org.apache.cassandra.utils.LegacyBloomFilterSerializer

    public class LegacyBloomFilterSerializer

extends java.lang.Object

Constructor Summary
`LegacyBloomFilterSerializer()`

Method Summary
`LegacyBloomFilter` | `deserialize(java.io.DataInputStream dis)`
`void` | `serialize(LegacyBloomFilter bf, java.io.DataOutput dos)`
`long` | `serializedSize(LegacyBloomFilter legacyBloomFilter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyBloomFilterSerializer

    public LegacyBloomFilterSerializer()

Method Detail

### serialize

    public void serialize(LegacyBloomFilter bf,
                          java.io.DataOutput dos)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public LegacyBloomFilter deserialize(java.io.DataInputStream dis)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(LegacyBloomFilter legacyBloomFilter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation